fmt_ip4(3)

NAME
fmt_ip4 - write a formatted ASCII representation of an IPv4 number

SYNTAX
#include <libowfat/ip4.h> unsigned int fmt_ip4(char *dest,const char ip[4]);

DESCRIPTION
fmt_ip4 formats an IPv4 number in dotted-decimal ASCII representation from ip and writes the result into dest. It returns the number of bytes written. If dest equals FMT_LEN (i.e. is zero), fmt_ip4 returns the number of bytes it would have written. fmt_ip4 does not append \0. For convenience, ip4.h defines the integer IP4_FMT to be big enough to contain every possible fmt_ip4 output plus \0.

EXAMPLE
#include <libowfat/ip4.h>
  char buf[IP4_FMT];
  char ip[4];
  buf[fmt_ip4(buf,ip)]=0;

SEE ALSO
scan_ip4(3), fmt_ip6(3), inet_ntop(3)